package sos.lib.mathparser.nodes;

import sos.lib.mathparser.ParsedExpr;


public abstract class Node 
{

	protected int iType = 0;
	
	protected double value = Double.NaN;
	
	protected ParsedExpr parser = null;

	
	
	public Node(ParsedExpr express) {this.parser = express;}
	
	public double value() {return value;}
	
	public int type() {return iType;}

	
	public abstract void compile() throws Exception;

	
}
