/*
 SOS Project Classes.

 Copyright (C) SOS Project <http://sos.project.free.fr>
 SOS Project is Denis BURGARELLA and Camille AMBROSI.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package sos.framework.simulation.simul.results;


public class SResultNoise
{

	// la matrice du bruit
	private double[][] noises					= null;

	// nom du bruit
	private String strNoiseName					= null;
	

	
	
	
	
	
	
	
	public boolean initNoise(final int x, final int y, final String strNoiseName)
	{
		this.strNoiseName = strNoiseName;
		
		// on regarde si on doit creer une nouvelle matrice ou juste la vider
		if( (noises == null) || (noises.length != x) || (noises[0].length != y) ){
	
			// nouvelle matrice
			noises = new double[x][y];
			
			return true;
			
		}else{
			
			// initialisation de l'ancienne matrice
			for(int i = 0; i < x; i++){
				for(int j = 0; j < y; j++){
					noises[i][j] = 0.0;
				}
			}
			
			return false;
			
		}
	}

	
	
	
	
	
	
	
	public final String getNoiseName()
	{
		return strNoiseName;
	}

	
	

	
	
	
	public final void setNoiseElectrons(final int x, final int y, final double value)
	{
		noises[x][y] = value;
	}
	
	public final double getNoiseElectrons(final int x, final int y)
	{
		return noises[x][y];
	}



	
}
