package sos.lib.mathparser;

import java.util.Hashtable;

import sos.lib.mathparser.functions.Function;



public class ParserFactory
{


	public ParserFactory() {}

	
	public ParsedExpr parse(String str)
	{
		if(str == null) return null;
		else return new ParsedExpr(this, str.split("\n"));
	}
	
	
	private Hashtable vars = new Hashtable();
	public double getVarValue(String name) throws Exception
	{
		if(vars.containsKey(name)) return ((Double)vars.get(name)).doubleValue();
		throw new Exception("eval : variable '" + name + "' inconnue");
	}
	public void setValue(String name, double value)
	{
		vars.put(name, new Double(value));
	}
	

	private Hashtable funcs = new Hashtable();
	public Function getFunction(String name) throws Exception
	{
		if(funcs.containsKey(name)) return (Function)(funcs.get(name));
		throw new Exception("eval : fonction '" + name + "' inconnue");
	}
	public void addFunction(Function func)
	{
		funcs.put(func.getName(), func);
	}
	

}